%global rebasename rebasehelper

Name:           rebase-helper
Version:        0.8.0
Release:        3%{?dist}
Summary:        The tool which helps you with rebase package

License:        GPLv2+
URL:            https://github.com/rebase-helper/rebase-helper
Source0:        https://github.com/rebase-helper/%{name}/archive/%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pyliblzma
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  rpm-python
BuildRequires:  python-six
BuildRequires:  koji
BuildRequires:  pyrpkg
BuildRequires:  python-tox
BuildRequires:  pytest
BuildRequires:  python-pytest-cov
BuildRequires:  pylint

Requires:       mock, rpm-build
Requires:       pkgdiff >= 1.6.3
Requires:       rpm-python
Requires:       python-six
Requires:       fedpkg
Requires:       koji
Requires:       pyrpkg
Requires:       libabigail
Requires:       python-pyquery

Patch00:        rebase-helper-download-test.patch
Patch01:        rebase-helper-test-git.patch
Patch02:        fix-for-result-dir.patch


%description
Rebase-Helper is a tool to help package maintainers to update
their packages to the latest upstream version.
It helps you to rebase existing patches on top of the new sources.
It also builds RPMs and performs various tests on them,
comparing to the previous version.


%prep
%setup -q -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info

#%patch00 -p1 -b .download
#%patch01 -p1 -b .test-git
%patch02 -p1 -b .fix-result-dir


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

# install man page
mkdir -p %{buildroot}%{_datadir}/man/man1/
install -p man/rebase-helper.1 %{buildroot}%{_datadir}/man/man1

# install the bash complation
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install -p rebase-helper.bash %{buildroot}%{_sysconfdir}/bash_completion.d/


%check
# TODO: figure out how to run tox during build
#tox -e py


%files
%license LICENSE
%doc ChangeLog
%{_bindir}/%{name}
%{python2_sitelib}/%{rebasename}
%{python2_sitelib}/%{rebasename}-%{version}-py?.?.egg-info
%{_datadir}/man/man1/rebase-helper.1.gz
%{_sysconfdir}/bash_completion.d/rebase-helper.bash


%changelog
* Tue Nov 22 2016 Petr Hracek <phracek@redhat.com> - 0.8.0-3
- Fix for result dir (#1397312)

* Wed Aug 17 2016 Petr Hracek <phracek@redhat.com> - 0.8.0-2
- Fix bug caused by dependency to python-pyquery (#1363777)

* Sun Jul 31 2016 Tomas Hozza <thozza@redhat.com> - 0.8.0-1
- New release 0.8.0

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu May 26 2016 Nikola Forró <nforro@redhat.com> - 0.7.3-2
- Clear output data on Application initialization

* Mon Apr 11 2016 Petr Hracek <phracek@redhat.com> - 0.7.3-1
- New upstream release 0.7.3. It contains fixes. (#1325599)

* Tue Mar 15 2016 Petr Hracek <phracek@redhat.com> - 0.7.2-1
- New upstream release 0.7.2

* Mon Feb 22 2016 Petr Hracek <phracek@redhat.com> - 0.7.1-1
- New upstream version 0.7.1 (#1310640)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 13 2016 Petr Hracek <phracek@redhat.com> - 0.7.0-1
- New upstream version 0.7.0 (#1298403)

* Mon Nov 09 2015 Petr Hracek <phracek@redhat.com> - 0.6.2-1
- New upstream version 0.6.2 (#1280294)
- support upstream monitoring service

* Fri Jul 31 2015 Petr Hracek <phracek@redhat.com> - 0.6.0-1
- New upstream version 0.6.0 (#1249518)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 25 2015 Petr Hracek <phracek@redhat.com> - 0.5.0-1
- New upstream version 0.5.0 #1224680

* Thu Mar 05 2015 Petr Hracek <phracek@redhat.com> - 0.4.0-3
- Add man page (#1185985)

* Mon Jan 19 2015 Petr Hracek <phracek@redhat.com> - 0.4.0-2
- Remove dependency to pkgdiff from setup (#1176563)

* Fri Dec 05 2014 Petr Hracek <phracek@redhat.com> - 0.4.0-1
- New upstream release

* Fri Jul 25 2014 Petr Hracek <phracek@redhat.com> - 0.3.1-1
- New upstream release
- Add --build-only option
- Catch Keyboard Interupted
- Add --continue option for rebases

* Tue Jul 08 2014 Tomas Hozza <thozza@redhat.com> - 0.3.0-0.4.20140624git
- Add requires on pkgdiff

* Mon Jun 23 2014 Petr Hracek <phracek@redhat.com> - 0.3.0-0.3.20140624git
- Include LICENSE text file
- use __python2 macros

* Mon Jun 23 2014 Petr Hracek <phracek@redhat.com> - 0.3.0-0.2.20140623git
- Removed shebang from __init__.py file

* Mon Jun 23 2014 Petr Hracek <phracek@redhat.com> - 0.3.0-0.1.20140623git
- Initial version

